#if !defined(AFX_FXPANEL_H__1BC421D4_6897_4BE2_A1ED_190BE6A9B693__INCLUDED_)
#define AFX_FXPANEL_H__1BC421D4_6897_4BE2_A1ED_190BE6A9B693__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FXPanel.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFXPanel dialog
#include"PanelDlg.h"
class GUIFXGenerator;
class UndoCommand;

class CFXPanel : public CPanelDlg
{
// Construction
public:
	CFXPanel(GUIFXGenerator *gobj,UndoCommand **cmd,CWnd* pParent = NULL);   
	GUIFXGenerator *MyObj;
	UndoCommand **CmdLst;
 void FillEffectList();
	CString EffectBaseName(const char *str);
 // Dialog Data
	//{{AFX_DATA(CFXPanel)
	enum { IDD = IDD_FXGENPANEL };
	CComboBox	m_FXList;
	float	m_Delay;
	BOOL	m_NightOnly;
	BOOL	m_Random;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFXPanel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFXPanel)
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FXPANEL_H__1BC421D4_6897_4BE2_A1ED_190BE6A9B693__INCLUDED_)
